<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" encoding="ISO-8859-1"/>
<xsl:template match="editor">
	<xsl:choose>
		<xsl:when test="contains(.,',')">
			<xsl:variable name="firstname">
				<xsl:value-of select="substring-after(.,',')"/>
			</xsl:variable>
			<xsl:variable name="lastname">
				<xsl:value-of select="substring-before(.,',')"/>
			</xsl:variable>
		<editor>
			<xsl:if test='$firstname != ""'>
				<firstname> 
					<xsl:value-of select="$firstname"/>
				</firstname> 
			</xsl:if>
			<xsl:if test='$lastname != ""'>
				<lastname> 
					<xsl:value-of select="$lastname"/>
				</lastname> 
			</xsl:if>
		</editor>
		<xsl:value-of select="$endl"/>
	</xsl:when>
	<xsl:when test="not(contains(.,','))">
		<xsl:variable name="name">
			<xsl:value-of select="normalize-space()"/>
		</xsl:variable>

		<xsl:variable name="firstname">
			<xsl:value-of select="substring-before($name,' ')"/>
		</xsl:variable>
		<xsl:variable name="lastname">
			<xsl:value-of select="substring-after($name,' ')"/>
		</xsl:variable>
		<editor>
			<xsl:if test='$firstname != ""'>
				<firstname> 
					<xsl:value-of select="$firstname"/>
				</firstname> 
			</xsl:if>
			<xsl:if test='$lastname != ""'>
				<lastname> 
					<xsl:value-of select="$lastname"/>
				</lastname> 
			</xsl:if>
			<xsl:if test='$lastname = "" and $firstname = ""'>
				<lastname>
					<xsl:value-of select="$name"/>
				</lastname> 
			</xsl:if>

		</editor>
		<xsl:value-of select="$endl"/>
	</xsl:when>
		</xsl:choose>
</xsl:template>

</xsl:stylesheet>
